Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003910Zandronum[All Projects] Bugpublic2021-10-27 14:362021-12-04 18:10
ReporterTrillster 
Assigned ToKaminsky 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindows 10OS Version19042
Product Version3.1-beta 
Target VersionFixed in Version3.1-beta 
Summary0003910: "sv_shootthroughallies" doesn't respect DesignatedTeam
DescriptionWhile "sv_shootthroughallies" works proper for player allies, you can't allow players to shoot through +SHOOTABLE props via the DesignatedTeam property, although it can be used to prevent those actors from taking damage from allies.
Steps To ReproduceLoad Team0Blocker.pk3, use "summon Team0Blocker", try shooting at it with and without "sv_shootthroughallies" enabled while on Team 0, try it while on Team 1 as well.
Attached Files? file icon Team0Blocker.pk3 [^] (421 bytes) 2021-10-27 14:36

- Relationships

-  Notes
User avatar (0021790)
Kaminsky (developer)
2021-10-28 15:23

I originally intended this DMFlag to only affect players. However, I'm willing to extend it so that players can shoot through non-player actors that are designated on the same team as them, and vice-versa.
User avatar (0021844)
Kaminsky (developer)
2021-12-04 18:10

Marking this as resolved as Trillster confirmed that the issue has been fixed in the recent betas.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Basinga
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2021-10-27 14:36 Trillster New Issue
2021-10-27 14:36 Trillster File Added: Team0Blocker.pk3
2021-10-28 15:23 Kaminsky Note Added: 0021790
2021-10-28 15:23 Kaminsky Assigned To => Kaminsky
2021-10-28 15:23 Kaminsky Status new => acknowledged
2021-10-31 05:16 Kaminsky Status acknowledged => needs review
2021-10-31 16:00 Kaminsky Status needs review => needs testing
2021-12-04 18:10 Kaminsky Note Added: 0021844
2021-12-04 18:10 Kaminsky Status needs testing => resolved
2021-12-04 18:10 Kaminsky Fixed in Version => 3.1-beta
2021-12-04 18:10 Kaminsky Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker